.aP {
	padding: var(--odstep);
	max-width: var(--szerokosc-plus);
	margin: auto;
	overflow: hidden;
	position: relative;
}

.aP_h1 {
	text-align: center;
}

.aP_le {
}
.wp-post-image {
}


.aP_pr {
	text-align: center;
}
.product_title {
	margin: var(--odstep-pion) 0;
	font-size: 120%;
}
.aP_pr .price {
	font-weight: var(--font-bold);
	font-size: 150%;
	line-height: 1;
	margin: var(--odstep-pion);
}
.aP_pr .price del {
	color: red;
	font-size: 80%;
	padding-right: var(--odstep);
}
.aP_pr .price ins {
	text-decoration: none;
}

.aP_pr .cart {
	display: flex;
	flex-wrap: wrap;
	gap: var(--odstep);
	justify-content: center;
	margin: var(--odstep) 0;
}




.cart_div {
	display: flex;
	align-items: center;
	line-height: var(--odstep-x2);
	height: var(--odstep-x2);
	overflow: hidden;
	gap: var(--odstep-pol);
}
.cart_btn {
	font-weight: var(--font-bold);
	font-size: 30px;
	width: var(--odstep-x2);
	background-color: var(--kolor-szary);
	cursor: pointer;
	color: var(--kolor-glowny);
	transition: var(--transition5);
}
.cart_btn.minus {
	padding-bottom: 3px;
	font-size: 36px;
}
.cart_btn:hover {
	color: var(--kolor-hover);
	background-color: #fff;
}
.qty {
	border: var(--border);
	width: 80px;
	line-height: 38px;
	text-align: center;
	font-weight: bold;
	cursor: pointer;
}
.single_add_to_cart_button {
	background-color: var(--kolor-glowny);
	color: #fff;
	padding: 0 var(--odstep);
	line-height: var(--odstep-x2);
	cursor: pointer;
	width: 180px;
	transition: var(--transition5);
}
.single_add_to_cart_button:hover {
	background-color: var(--kolor-hover);
}
.added_to_cart.wc-forward {
	display: none;
}

.woocommerce-variation-add-to-cart {
	display: flex;
	gap: var(--odstep);
	flex-wrap: wrap;
	justify-content: center;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.woocommerce-price-suffix {
	display: none;
}



/* --------------------------------------------------- */
.variations_form.cart {
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.variations {
	border: var(--border);
	padding: var(--odstep);
	margin: var(--odstep) 0;
	position: relative;
	width: 100%;
	max-width: 380px;
}
@media (max-width: 400px) {
.variations {
	margin: var(--odstep) var(--odstep-minus);
	width: calc(100% + var(--odstep-x2));
}
}
.value select {
	width: 160px;
	padding: 9px;
	cursor: pointer;
	text-align: center;
	background: var(--kolor-szary);
	color: #000;
}
.reset_variations {
	position: absolute;
	background: var(--kolor-kontra);
	right: 0;
	bottom: -10px;
	padding: 0 var(--odstep);
	color: #fff;
	text-decoration: none;
}



/* --------------------------------------------------- */







.woocommerce-product-details__short-description {
	background: var(--szary);
	margin: var(--odstep) auto;
	padding: var(--odstep);
	max-width: 600px;
	display: flex;
	gap: var(--odstep);
	flex-direction: column;
	border-radius: var(--radius);
}
.woocommerce-product-details__short-description p {
	margin: 0;
	display: inline;
}

.woocommerce-product-details__short-description .pdf-badania {
	background: url(../img/pdf.png) no-repeat left;
	padding-left: var(--odstep-x2);
	background-size: 30px auto;
	text-decoration: none;
}

.woocommerce-product-details__short-description a:hover {}




.wc-tabs-wrapper {
	margin: var(--odstep-x2) 0;
	padding-top: var(--odstep);
	border-top: 1px solid var(--szary);
}
.tabs.wc-tabs {
	display: flex;
	gap: var(--odstep);
	max-width: 800px;
	margin: auto;
}

.wc-tabs a {
	font-weight: var(--font-bold);
}
.wc-tabs a:hover {
	text-decoration-color: transparent;
}

.wc-tabs .active a {
	text-decoration: none;
}

.entry-content {
	margin: var(--odstep-x2) auto;
	max-width: 800px;
}

.entry-content p {
	margin-top: var(--odstep);
}
.entry-content p:first-child {
	margin-top: 0;
}



.term-description h2,
.entry-content h2 {
	margin: var(--odstep-x2) 0 var(--odstep-pol);
	font-size: 120%;
}

.term-description h3,
.entry-content h3 {
	margin: var(--odstep-x2) 0 var(--odstep-pol);
	font-size: 110%;
}



.term-description ul,
.woocommerce-product-details__short-description ul,
.entry-content ul,
.entry-content ol {
	list-style: inside disc;
	margin: var(--odstep) 0;
}
.term-description ol,
.entry-content ol {
	list-style-type: decimal;
}
.term-description li,
.entry-content li {
	margin: var(--odstep-pol) 0;
}



.daneProducenta {
	background: var(--kolor-szary);
	padding: var(--odstep);
	max-width: 800px;
	margin: var(--odstep-pion) auto;
}
.daneProducenta_h {
	font-weight: bold;
	font-size: 120%;
	margin-bottom: var(--odstep);
}
.daneProducenta p {
	margin-top: var(--odstep);
}


.vv_ul,
.kwadratFlex {
	display: flex;
	justify-content: flex-start;
	gap: var(--odstep);
	max-width: unset;
	margin: 0  var(--odstep-minus);
	overflow-x: auto;
	padding:  var(--odstep-x2) var(--odstep);
	-webkit-overflow-scrolling: touch;
}
.vv_li,
.kwadrat {
	display: flex;
	flex-direction: column;
	gap: var(--odstep-pol);
	justify-content: space-between;
	padding: var(--odstep-pol);
	flex: 0 0 250px;
	color: inherit;
	line-height: 1.3;
	text-decoration: none;
	border: var(--border);
}
.kwadrat::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	box-shadow: 0 0 20px rgba(0, 0, 0, 0.25);
	transition: opacity ease 0.5s;
}
.vv_a {
	display: flex;
	flex-direction: column;
	color: inherit;
	text-decoration: none;
}
.vv_figure,
.kwadrat_fota {
	overflow: hidden;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 200px;
}
.kwadrat_tresc {
	padding: var(--odstep);
	flex: 1;
	display: flex;
	flex-direction: column;
}
.kwadrat_img {
	transition: transform .5s;
	margin: 0;
}
.vv_h,
.kwadrat_h {
	font-size: inherit;
	text-align: center;
	margin: var(--odstep-pol) 0;
}
.vv_price,
.kwadrat_cena {
	text-align: center;
	font-weight: bold;
	font-size: 120%;
	margin-top: auto;
}
.kwadrat:hover {
	color: inherit;
}
.kwadrat:hover .kwadrat_img {
	transform: scale(1.1);
}

.kwadrat:hover::after {
    opacity: 1;
}





.woocommerce-message {
	padding: var(--odstep);
	background: var(--kolor-szary);
}







.aP_podobne {
	margin: var(--odstep) 0;
}
.aP_podobne_p {
	font-weight: var(--font-bold);
	font-size: 120%;
}
.aP_podobne .ulJedna {
	gap: var(--odstep);
}
.aP_podobne .ulJedna_li {
	width: 245px;
}

.aP_podobne .woocommerce-loop-product__title {
	font-size: inherit;
	color: #000;
	font-weight: var(--font-bold);
}

.woocommerce-notices-wrapper {
	max-width: 800px;
	margin: auto;
}


.upsells,
.related {
	margin: 60px 0;
}



.woocommerce-info {
	margin: var(--odstep) auto;
	padding: var(--odstep-pol);
	background: var(--kolor-szary);
	text-align: center;
	max-width: 500px;
	font-size: 80%;
}
.woocommerce-info span {
	font-weight: bold;
}
.woocommerce-info .button {
	display: none;
}



@media (min-width: 500px) {
.wartosci {
	width: 500px;
	margin: var(--odstep) auto;
}


}
@media (min-width: 600px) {
.aP_flex {
	display: flex;
	gap: var(--odstep);
	align-items: center;
}
.aP_le {
	flex: 1 0 40%;
	max-width: 500px;
	margin: 0;
}
.aP_pr {
	display: flex;
	flex-direction: column;
	gap: var(--odstep);
}
.product_title,
.aP_pr .cart,
.variations {
	margin: 0;
}


}
@media (min-width: 900px) {
.aP_flex {
	justify-content: space-between;
}
.aP_le {
	width: 500px;
	flex: 0 0 500px;
}
.aP_le img {
	max-height: 500px;
	width: auto;
}
.aP_pr {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: var(--odstep);
}
.product_title {
	margin: 0;
}



.entry-content {
	padding: var(--odstep-x2);
	border: var(--border);
}
.daneProducenta {
	padding: var(--odstep-x2);
}


}
@media (min-width: 1200px) {
.aP_flex {
	gap: 100px;
}

.aP_le {
	display: flex;
	border: var(--border);
	padding: var(--odstep);
	flex: 0 0 542px;
	width: 542px;
	max-width: unset;
	height: 542px;
}


.aP_pr {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: var(--odstep-x2);
}
.product_title {
	font-size: 180%;
}
.aP_pr .price {
	font-size: 200%;
	margin: 0;
}


.variations_form.cart {
	gap: var(--odstep-x2);
}



.aP_podobne {
	margin: 50px 0;
	border-top: 1px solid var(--szary);
	padding-top: var(--odstep-x2);
}
.aP_podobne .ulJedna {
	gap: var(--odstep-x2);
}




}

/* Ukryj główny obrazek w wersji mobilnej */
@media only screen and (max-width: 768px) {
    .single-product .aP_le .woocommerce-product-gallery {
        display: none; /* Ukrywa główny obrazek */
    }
    .single-product .aP_le .slider { 
        display: block; /* Pokazuje slider */
    }
}







